Package org.apache.sysds.runtime.data

## Class SparseBlockCSC.NonEmptyColumnsIteratorCSC

- java.lang.Object
- - org.apache.sysds.runtime.data.SparseBlockCSC.NonEmptyColumnsIteratorCSC

All Implemented Interfaces:
  `Iterator<Integer>`

Enclosing class:
  SparseBlockCSC

    public class SparseBlockCSC.NonEmptyColumnsIteratorCSC
    extends Object
    implements Iterator<Integer>

### Constructor Summary

Constructors
`NonEmptyColumnsIteratorCSC​(int cl, int cu)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`Integer` `next()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Constructor Detail

#### NonEmptyColumnsIteratorCSC

    public NonEmptyColumnsIteratorCSC​(int cl,
                                      int cu)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<Integer>`

#### next

    public Integer next()

Specified by:
  `next` in interface `Iterator<Integer>`